package org.yaoqiang.bpmn.model.elements.bpmndi;

import org.yaoqiang.bpmn.model.elements.XMLCollection;
import org.yaoqiang.bpmn.model.elements.XMLElement;

/**
 * BPMNShapes
 * 
 * @author Shi Yaoqiang(shi_yaoqiang@yahoo.com)
 */
public class BPMNShapes extends XMLCollection {

	private static final long serialVersionUID = -777649886163761757L;

	public BPMNShapes(BPMNPlane parent) {
		super(parent);
	}

	public XMLElement generateNewElement() {
		return new BPMNShape(this);
	}

	public String getElementName() {
		return "BPMNShape";
	}
}
