package org.yaoqiang.bpmn.model.elements.core.common;

import org.yaoqiang.bpmn.model.elements.XMLCollection;
import org.yaoqiang.bpmn.model.elements.XMLElement;

/**
 * CorrelationPropertyRetrievalExpressions
 * 
 * @author Shi Yaoqiang(shi_yaoqiang@yahoo.com)
 */
public class CorrelationPropertyRetrievalExpressions extends XMLCollection {

	private static final long serialVersionUID = 6079139916599265825L;

	public CorrelationPropertyRetrievalExpressions(CorrelationProperty parent) {
		super(parent);
	}

	public XMLElement generateNewElement() {
		return new CorrelationPropertyRetrievalExpression(this);
	}

	public String getElementName() {
		return "correlationPropertyRetrievalExpression";
	}
	
}
