package org.yaoqiang.bpmn.model.elements.core.common;

import org.yaoqiang.bpmn.model.elements.XMLCollection;
import org.yaoqiang.bpmn.model.elements.XMLElement;
import org.yaoqiang.bpmn.model.elements.process.BPMNProcess;

/**
 * CorrelationSubscriptions
 * 
 * @author Shi Yaoqiang(shi_yaoqiang@yahoo.com)
 */
public class CorrelationSubscriptions extends XMLCollection {

	private static final long serialVersionUID = 5474497738518186726L;

	public CorrelationSubscriptions(BPMNProcess parent) {
		super(parent, "correlationSubscriptions");
	}
	
	public XMLElement generateNewElement() {
		return new CorrelationSubscription(this);
	}
	
	public String getElementName() {
		return "correlationSubscription";
	}
	
}
